Bug 1758239 (CVE-2019-17052) - CVE-2019-17052 kernel: unprivileged users able to create RAW sockets in the the AF_AX25 network protocol.
Summary: CVE-2019-17052 kernel: unprivileged users able to create RAW sockets in the t...
Keywords:
Status: NEW
Alias: CVE-2019-17052
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1758240
Blocks: 1758241
TreeView+ depends on / blocked
 
Reported: 2019-10-03 16:29 UTC by Dhananjay Arunesh
Modified: 2019-12-04 05:59 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-10-03 16:29:18 UTC
A vulnerability was found in  ax25_create in net/ax25/af_ax25.c in the AF_AX25 network module in the Linux kernel, does not enforce CAP_NET_RAW, which means that unprivileged users can create a raw socket, aka CID-0614e2b73768.

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0614e2b73768b502fc32a75349823356d98aae2c	
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0edc3f703f7bcaf550774b5d43ab727bcd0fe06b

Comment 1 Dhananjay Arunesh 2019-10-03 16:29:54 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1758240]

Comment 2 Fedora Update System 2019-10-25 18:07:06 UTC
kernel-5.3.6-100.fc29, kernel-headers-5.3.6-100.fc29, kernel-tools-5.3.6-100.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Wade Mealing 2019-12-04 05:53:21 UTC
Red Hat Enterprise Linux does not ship a kernel with support for the AF_AX25 socket type and therefore Red Hat Enterprise Linux is not affected.


Note You need to log in before you can comment on or make changes to this bug.